# Saved Queries Saved Queries ## Creates a new saved query record that does not already exist. - [POST /savedQueries/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/createsavedquery.md): This method will auto-generate an ID and create a new saved query. If an ID is specified for the saved query, an error will be thrown. ## Execute Batch Operations - [POST /savedQueries/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified file_cabinet_id - [GET /savedQueries/{tenantId}/fileCabinet/{file_cabinet_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/listqueriesbyfilecabinetid.md): Returns a list of records with the specified file_cabinet_id ## Returns a saved query from the system by its ID. - [DELETE /savedQueries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/deletesavedquery.md): This method will delete a saved query with the specified ID. ## Returns a saved query from the system by its ID. - [GET /savedQueries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/getsavedquery.md): This method will look up a saved query by the specified ID and return it back. ## Partially updates a saved query with the specified ID. - [PATCH /savedQueries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/patchsavedquery.md): This method will patch an existing saved query with the specified ID, using the HTTP PATCH specification. ## Updates a saved query with the specified ID. - [PUT /savedQueries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-queries/updatesavedquery.md): This method will update an existing saved query with the specified ID.